summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--etc/mtree/BSD.tests.dist2
-rw-r--r--tests/sys/Makefile1
-rw-r--r--tests/sys/vfs/Makefile7
-rwxr-xr-xtests/sys/vfs/trailing_slash_test.sh (renamed from tools/regression/vfs/trailing_slash.t)5
4 files changed, 12 insertions, 3 deletions
diff --git a/etc/mtree/BSD.tests.dist b/etc/mtree/BSD.tests.dist
index 64ea032..26a2c40 100644
--- a/etc/mtree/BSD.tests.dist
+++ b/etc/mtree/BSD.tests.dist
@@ -394,6 +394,8 @@
..
socket
..
+ vfs
+ ..
..
usr.bin
apply
diff --git a/tests/sys/Makefile b/tests/sys/Makefile
index b8e92c0..7131732 100644
--- a/tests/sys/Makefile
+++ b/tests/sys/Makefile
@@ -8,6 +8,7 @@ TESTS_SUBDIRS+= kern
TESTS_SUBDIRS+= netinet
TESTS_SUBDIRS+= opencrypto
TESTS_SUBDIRS+= sockets
+TESTS_SUBDIRS+= vfs
# Items not integrated into kyua runs by default
SUBDIR+= pjdfstest
diff --git a/tests/sys/vfs/Makefile b/tests/sys/vfs/Makefile
new file mode 100644
index 0000000..7cd908b
--- /dev/null
+++ b/tests/sys/vfs/Makefile
@@ -0,0 +1,7 @@
+# $FreeBSD$
+
+TESTSDIR= ${TESTSBASE}/sys/vfs
+
+TAP_TESTS_SH+= trailing_slash_test
+
+.include <bsd.test.mk>
diff --git a/tools/regression/vfs/trailing_slash.t b/tests/sys/vfs/trailing_slash_test.sh
index b1b8523..28c7f5f 100755
--- a/tools/regression/vfs/trailing_slash.t
+++ b/tests/sys/vfs/trailing_slash_test.sh
@@ -6,8 +6,8 @@
# point to files. See kern/21768 for details. Fixed in r193028.
#
-testfile="/tmp/testfile-$$"
-testlink="/tmp/testlink-$$"
+testfile=$(mktemp tmp.XXXXXX) || exit
+testlink="testlink-$$"
tests="
$testfile:$testlink:$testfile:0
@@ -18,7 +18,6 @@ $testfile/:$testlink:$testlink:1
$testfile/:$testlink:$testlink/:1
"
-touch $testfile || exit 1
trap "rm $testfile $testlink" EXIT
set $tests
OpenPOWER on IntegriCloud